ru.bitel.bgbilling.kernel.network.dhcp

## Class DhcpListenerWorkerContext

- java.lang.Object
- - ru.bitel.common.worker.ThreadContext
  - - ru.bitel.bgbilling.kernel.base.server.DefaultContext
    - - ru.bitel.bgbilling.kernel.container.managed.ContainerContext
      - - ru.bitel.bgbilling.kernel.container.managed.ServerContext
        - - ru.bitel.bgbilling.kernel.network.dhcp.DhcpListenerWorkerContext

- All Implemented Interfaces:
    java.lang.AutoCloseable, ru.bitel.common.util.ConnectionHolder, ru.bitel.common.worker.Commitable, ru.bitel.common.worker.CommitableHandler, ru.bitel.common.worker.Recyclable

      public class DhcpListenerWorkerContext
      extends ru.bitel.bgbilling.kernel.container.managed.ServerContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `currentHourPart`
    `protected ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogger` | `dataLogger`
    `protected java.util.concurrent.ConcurrentHashMap<java.lang.Integer,ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogEntry>` | `hourEntryMap`
    `protected DhcpListener` | `listener`
    `protected DhcpProcessor<Idable>` | `processor`
    `protected java.util.WeakHashMap<ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogEntry,ru.bitel.bgbilling.kernel.network.dhcp.datalog.DhcpDataLogWriter>` | `writerMap`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

      `setup`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

      `connectionSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DhcpListenerWorkerContext(Setup setup, int moduleId, DhcpListener listener, DhcpProcessor<Idable> processor, ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogger dataLogger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DhcpListener` | `getListener()`
    `DhcpProcessor<Idable>` | `getProcessor()`
    `void` | `writeRecord(Idable device, int[] positions, java.nio.ByteBuffer data, long now)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ServerContext

      `addCommitable, commit, destroy, getDirectory, getResourceManager, getService, init, newDirectory, newService, publishAfterCommit, recycle`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

      `getEnvironment, getModuleId, getModuleSetup, getNamingContext, getSetup, getUserId`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

      `getConnection, getConnectionSet`

    - ### Methods inherited from class ru.bitel.common.worker.ThreadContext

      `close, get, get, pop, push, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listener

          protected final DhcpListener listener

    - #### processor

          protected final DhcpProcessor<Idable> processor

    - #### dataLogger

          protected final ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogger dataLogger

    - #### currentHourPart

          protected long currentHourPart

    - #### hourEntryMap

          protected java.util.concurrent.ConcurrentHashMap<java.lang.Integer,ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogEntry> hourEntryMap

    - #### writerMap

          protected final java.util.WeakHashMap<ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogEntry,ru.bitel.bgbilling.kernel.network.dhcp.datalog.DhcpDataLogWriter> writerMap

  - ### Constructor Detail

    - #### DhcpListenerWorkerContext

          public DhcpListenerWorkerContext(Setup setup,
                                           int moduleId,
                                           DhcpListener listener,
                                           DhcpProcessor<Idable> processor,
                                           ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogger dataLogger)

  - ### Method Detail

    - #### writeRecord

          public final void writeRecord(Idable device,
                                        int[] positions,
                                        java.nio.ByteBuffer data,
                                        long now)

    - #### getListener

          public DhcpListener getListener()

    - #### getProcessor

          public DhcpProcessor<Idable> getProcessor()